Bug 426526 - tinyca2 just shows one Common Name of a certificate when multiple are present
tinyca2 just shows one Common Name of a certificate when multiple are present
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tinyca2 (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
http://bugs.debian.org/cgi-bin/bugrep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 15:10 EST by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:35:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-12-21 15:10:00 EST
Quoting from Debian (See URL):

Create a certificate request with multiple common names, like this:

openssl req -newkey rsa:2048 -keyout the.key -out the.req -nodes \
	-multivalue-rdn \
	-subj '/C=US/ST=Virginia/L=FOO/O=BAR/OU=BAZ/CN=one+CN=two+CN=three'

When you import the request into tinyca2, there is no indication there
is more than one common name — it just displays one of them. When you
sign the cert, it puts all of them into the cert...

So, it is very easy to wind up signing identities you had no intention
whatsoever of signing.

There is a workaround: if you right-click the request, and click view
request, the full OpenSLL output will show all the common names.
Comment 1 Lubomir Kundrak 2007-12-21 15:11:37 EST
Not sure if this is that serious, as user can still see the full OpenSSL output.
But if it's not hard to fix, I'd prefer we did. No CVE name yet.
Comment 3 Bug Zapper 2008-11-26 04:07:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:35:00 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.